Bug 851086 - Docs: Loading styles via link element
Docs: Loading styles via link element
Status: ON_QA
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Documentation (Show other bugs)
5.2.2.CR01
Unspecified Unspecified
low Severity low
: ---
: 5.2.2.GA
Assigned To: mmurray
Tomas Kyjovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 04:34 EDT by Miroslav Cupák
Modified: 2015-08-09 21:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 813751 None None None 2012-08-23 04:37:47 EDT

  None (edit)
Description Miroslav Cupák 2012-08-23 04:34:08 EDT
Description of problem:
The way of loading styles in code samples in the Portlet Bridge section of the Reference Guide should be updated to use a4j:loadStyle instead of link rel="stylesheet" type="text/css". The latter results in NPE as described in Bug 813751.

Affected sections of the Reference Guide:
16.3.2.1. web.xml
16.3.2.2. Configure RichFaces to work with WSRP and PortletBridge
Comment 1 Jared MORGAN 2012-09-25 01:23:45 EDT
TRIAGE INFORMATION

Relevance: EPP 5.2 and EPP 6

==Task==

Make the changes as prescribed in both versions. 

Approach Miroslav with any questions by direct email.

In EPP 6, the affected sections can be found by opening

http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Portal_Platform/6.0/html-single/Reference_Guide/index.html

and searching for rel="stylesheet" type="text/css".

NEEDINFO: Check with Miroslav because if you search for a4j:loadStyle in the doc, the Richfaces section suggests that this method may not be supported in local and remote portlets. 

==Requirements== 

Ensure you have access to:

http://svn.jboss.org/repos/gatein/epp/docs/branches/5.2/ and http://svn.jboss.org/repos/gatein/epp/docs/branches/6.0/

to make changes to these guides.
Comment 2 Russell Dickenson 2012-10-07 20:04:54 EDT
Attention: Petr

After completing the changes required by this ticket, please ensure you "svn up" (or git-svn equivalent) immediately afterward.
Comment 3 Jared MORGAN 2012-10-10 20:29:57 EDT
Just updated the book component.
Comment 4 Petr Penicka 2012-10-11 09:15:58 EDT
Fixed in the 5.2 book. Waiting for info from Miroslav regarding edits in other sections of the book and in 6.0.
Comment 5 Petr Penicka 2012-10-16 07:55:25 EDT
Update: verified with EPP QE that the previous fixes are sufficient. Other occurences of loading styles via <link> in the guide are not related to Portlet Bridge - no need to use a4j:loadStyle here.

In 6.0, the sections edited in 5.2 are not present, hence no changes in 6.0 at all.

Book source modifications have been committed to the 5.2 SVN repo.

Note You need to log in before you can comment on or make changes to this bug.